import Component from '../component.js';
import { elementAttributeContains } from '../../core/utils.js';
import DivComponent from '../div.js';

export default class CoEuiAppSidebarDrawer extends Component {
  constructor(parent) {
    let selector = 'eui-app-sidebar-drawer';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/layout/eui-app/eui-app-sidebar/sidebar-drawer/sidebar-drawer.component.html?at=refs%2Fheads%2Fmaster
  }
  get contentCO() {
    return new DivComponent(this.currentPath).addPredicateClassContains('eui-app-sidebar-drawer-content');
  }
  async isExpanded() {
    return await elementAttributeContains(this.currentPath, 'class', 'eui-app-sidebar-drawer--expanded');
  }
}

